--enable-togglebtn use wxToggleButton class
--enable-toolbar use wxToolBar class
--enable-tbarnative use native wxToolBar class
- --enable-tbarsmpl use wxToolBarSimple class
--enable-treebook use wxTreebook class
--enable-toolbook use wxToolbook class
--enable-treectrl use wxTreeCtrl class
DEFAULT_wxUSE_TOGGLEBTN=no
DEFAULT_wxUSE_TOOLBAR=no
DEFAULT_wxUSE_TOOLBAR_NATIVE=no
- DEFAULT_wxUSE_TOOLBAR_SIMPLE=no
DEFAULT_wxUSE_TREEBOOK=no
DEFAULT_wxUSE_TOOLBOOK=no
DEFAULT_wxUSE_TREECTRL=no
DEFAULT_wxUSE_TOGGLEBTN=yes
DEFAULT_wxUSE_TOOLBAR=yes
DEFAULT_wxUSE_TOOLBAR_NATIVE=yes
- DEFAULT_wxUSE_TOOLBAR_SIMPLE=yes
DEFAULT_wxUSE_TREEBOOK=yes
DEFAULT_wxUSE_TOOLBOOK=yes
DEFAULT_wxUSE_TREECTRL=yes
DEFAULT_wxUSE_TOGGLEBTN=yes
DEFAULT_wxUSE_TOOLBAR=yes
DEFAULT_wxUSE_TOOLBAR_NATIVE=yes
- DEFAULT_wxUSE_TOOLBAR_SIMPLE=yes
DEFAULT_wxUSE_TOOLTIPS=yes
DEFAULT_wxUSE_TREEBOOK=yes
DEFAULT_wxUSE_TOOLBOOK=yes
DEFAULT_wxUSE_TOGGLEBTN=no
DEFAULT_wxUSE_TOOLBAR=no
DEFAULT_wxUSE_TOOLBAR_NATIVE=no
- DEFAULT_wxUSE_TOOLBAR_SIMPLE=no
DEFAULT_wxUSE_TOOLTIPS=no
DEFAULT_wxUSE_TREEBOOK=no
DEFAULT_wxUSE_TOOLBOOK=no
fi
- enablestring=
- echo "$as_me:$LINENO: checking for --${enablestring:-enable}-tbarsmpl" >&5
-echo $ECHO_N "checking for --${enablestring:-enable}-tbarsmpl... $ECHO_C" >&6
- no_cache=0
- # Check whether --enable-tbarsmpl or --disable-tbarsmpl was given.
-if test "${enable_tbarsmpl+set}" = set; then
- enableval="$enable_tbarsmpl"
-
- if test "$enableval" = yes; then
- ac_cv_use_tbarsmpl='wxUSE_TOOLBAR_SIMPLE=yes'
- else
- ac_cv_use_tbarsmpl='wxUSE_TOOLBAR_SIMPLE=no'
- fi
-
-else
-
- LINE=`grep "wxUSE_TOOLBAR_SIMPLE" ${wx_arg_cache_file}`
- if test "x$LINE" != x ; then
- eval "DEFAULT_$LINE"
- else
- no_cache=1
- fi
-
- ac_cv_use_tbarsmpl='wxUSE_TOOLBAR_SIMPLE='$DEFAULT_wxUSE_TOOLBAR_SIMPLE
-
-fi;
-
- eval "$ac_cv_use_tbarsmpl"
- if test "$no_cache" != 1; then
- echo $ac_cv_use_tbarsmpl >> ${wx_arg_cache_file}.tmp
- fi
-
- if test "$wxUSE_TOOLBAR_SIMPLE" = yes; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- fi
-
-
enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-treebook" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-treebook... $ECHO_C" >&6
GCC=`test $ac_compiler_gnu = yes && echo yes`
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
-CFLAGS="-g"
+CFLAGS="$CFLAGS -g"
echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cc_g+set}" = set; then
unset ac_cv_prog_cc_g
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
-CFLAGS="-g"
+CFLAGS="$CFLAGS -g"
echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cc_g+set}" = set; then
CXXFLAGS=$ac_save_CXXFLAGS
elif test $ac_cv_prog_cxx_g = yes; then
if test "$GXX" = yes; then
- CXXFLAGS="-g -O2"
+ CXXFLAGS="$CXXFLAGS -g -O2"
else
- CXXFLAGS="-g"
+ CXXFLAGS="$CXXFLAGS -g"
fi
else
if test "$GXX" = yes; then
unset ac_cv_prog_cc_g
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
-CFLAGS="-g"
+CFLAGS="$CFLAGS -g"
echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
if test "${ac_cv_prog_cc_g+set}" = set; then
else
if test "$cross_compiling" = yes; then
- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
+ { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
+echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
SAVE_CPPFLAGS="$CPPFLAGS"
CPPFLAGS="$CPPFLAGS -D_REENTRANT"
-
- for target in strtok_r
- do
- echo "$as_me:$LINENO: checking for $target in string.h" >&5
-echo $ECHO_N "checking for $target in string.h... $ECHO_C" >&6
-if eval "test \"\${wx_cv_decl_$target+set}\" = set"; then
+echo "$as_me:$LINENO: checking whether strtok_r is declared" >&5
+echo $ECHO_N "checking whether strtok_r is declared... $ECHO_C" >&6
+if test "${ac_cv_have_decl_strtok_r+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
-
- cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <string.h>
+$ac_includes_default
int
main ()
{
-
- #ifndef $target
- &$target;
- #endif
+#ifndef strtok_r
+ char *p = (char *) strtok_r;
+#endif
;
return 0;
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- eval wx_cv_decl_$target=yes
+ ac_cv_have_decl_strtok_r=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-eval wx_cv_decl_$target=no
+ac_cv_have_decl_strtok_r=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-
fi
-echo "$as_me:$LINENO: result: `eval echo '${'wx_cv_decl_$target'}'`" >&5
-echo "${ECHO_T}`eval echo '${'wx_cv_decl_$target'}'`" >&6
+echo "$as_me:$LINENO: result: $ac_cv_have_decl_strtok_r" >&5
+echo "${ECHO_T}$ac_cv_have_decl_strtok_r" >&6
+if test $ac_cv_have_decl_strtok_r = yes; then
- if eval test \$wx_cv_decl_$target = yes
- then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_`echo $target | tr 'a-z' 'A-Z'` 1
+cat >>confdefs.h <<_ACEOF
+#define HAVE_DECL_STRTOK_R 1
_ACEOF
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STRTOK_R 1
+_ACEOF
- else
- :
+else
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_DECL_STRTOK_R 0
+_ACEOF
+
+
+fi
- fi
- done
CPPFLAGS="$SAVE_CPPFLAGS"
SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS thread"
else
- if test "$wx_cv_decl_strtok_r" = "yes"; then
+ if test "$ac_cv_have_decl_strtok_r" = "yes"; then
echo "$as_me:$LINENO: checking if -D_REENTRANT is needed" >&5
echo $ECHO_N "checking if -D_REENTRANT is needed... $ECHO_C" >&6
if test "$NEEDS_D_REENTRANT_FOR_R_FUNCS" = 1; then
fi
fi
-if test "$wxUSE_TOOLBAR_SIMPLE" = "yes"; then
- cat >>confdefs.h <<\_ACEOF
-#define wxUSE_TOOLBAR_SIMPLE 1
-_ACEOF
-
- wxUSE_TOOLBAR="yes"
- USES_CONTROLS=1
-fi
-
if test "$wxUSE_TOOLBAR" = "yes"; then
cat >>confdefs.h <<\_ACEOF
#define wxUSE_TOOLBAR 1
USES_CONTROLS=1
- if test "$wxUSE_TOOLBAR_SIMPLE" != "yes"; then
+ if test "$wxUSE_UNIVERSAL" = "yes"; then
+ wxUSE_TOOLBAR_NATIVE="no"
+ else
wxUSE_TOOLBAR_NATIVE="yes"
- fi
-
- if test "$wxUSE_TOOLBAR_NATIVE" = "yes"; then
cat >>confdefs.h <<\_ACEOF
#define wxUSE_TOOLBAR_NATIVE 1
_ACEOF
- USES_CONTROLS=1
fi
SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS toolbar"